Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@cux-linux.de>

Name:		libgd 
Version:	2.0.35
Release:	3
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.boutell.com/gd/
Group:		Development/Other
Source0:	gd-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	%{name} is an ANSI C library for the dynamic creation of images.

#Automatically resolved build dependencies
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXpm-devel
BuildRequires: perl
BuildRequires: zlib-devel

%description
libgd is a library for creating and reading PNG, JPEG, GIF, and WBMP images.
It has many features and can be used in scripts (e.g. PHP) for dynamic image generation.
PHP users should note that PHP 4.3.x includes its own distribution of gd, which is
currently the best choice for PHP applications.
For more details see: http://www.boutell.com/gd/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn gd-%{version}

%build
./configure --prefix=%_prefix --enable-static=no
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/annotate
%{_bindir}/bdftogd
%{_bindir}/gd2copypal
%{_bindir}/gd2togif
%{_bindir}/gd2topng
%{_bindir}/gdcmpgif
%{_bindir}/gdlib-config
%{_bindir}/gdparttopng
%{_bindir}/gdtopng
%{_bindir}/giftogd2
%{_bindir}/pngtogd
%{_bindir}/pngtogd2
%{_bindir}/webpng
%{_libdir}/libgd.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/entities.h
%{_includedir}/gdcache.h
%{_includedir}/gdfontg.h
%{_includedir}/gdfontl.h
%{_includedir}/gdfontmb.h
%{_includedir}/gdfonts.h
%{_includedir}/gdfontt.h
%{_includedir}/gdfx.h
%{_includedir}/gd.h
%{_includedir}/gd_io.h
#%{_libdir}/libgd.a
%{_libdir}/libgd.la
%{_libdir}/libgd.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> - 2.0.35-3
- rebuilt (mainly against libpng 1.4)
* Sun Jul 19 2009 Karsten Brockmann <arcam@ccux-linux.de> - 2.0.35-2
- rebuilt against libjpeg 7
* Sun Jul 29 2007 Karsten Brockmann <arcam@ccux-linux.de> - 2.0.35-1
- Version update
* Wed Feb 07 2007 Karsten Brockmann <arcam@ccux-linux.de> - 2.0.34-1
- Version update
* Fri Nov 18 2005 Christian Wasem <wasem@cux-linux.de> - 2.0.33-2
- rebuilt, removed wrong Obsoletes-Tag
* Sat Feb 05 2005 Christian Wasem <wasem@cux-linux.de> - 2.0.33-1
- Initial Release  
